#if !defined(AFX_LAUNCHDLG_H__4BE9F971_0D33_11D2_AFBA_00A0C939614B__INCLUDED_)
#define AFX_LAUNCHDLG_H__4BE9F971_0D33_11D2_AFBA_00A0C939614B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// LaunchDlg.h : header file
//
#include "TAgentView.h"

//  Messages of Launch Dialog Box:

#define WM_LAUNCH_SEARCH     WM_USER + 40
#define WM_CANCEL_LAUNCH     WM_USER + 41
//  CSolutionDlg Messages Start at: WM_USER + 50
/////////////////////////////////////////////////////////////////////////////
// CLaunchDlg dialog

class CLaunchDlg : public CDialog
{
// Construction
public:
	CLaunchDlg(CWnd* pParent = NULL);   // standard constructor
	CLaunchDlg(CTAgentView *pView);
	BOOL Create();
	void SetListBoxesHScroll();
	void DisableWinodwControls();

// Dialog Data
	//{{AFX_DATA(CLaunchDlg)
	enum { IDD = IDD_SEARCH_LAUNCH_DIALOG };
	BOOL	m_bClearSelection;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLaunchDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
private:
	CTAgentView *m_pView;
// Implementation

protected:

	// Generated message map functions
	//{{AFX_MSG(CLaunchDlg)
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelect();
	afx_msg void OnDblclkListOfAvailableCities();
	afx_msg void OnDeselect();
	afx_msg void OnDblclkListOfCitiesToVisit();
	afx_msg void OnSelchangeFirstCity();
	afx_msg void OnClearSelection();
	afx_msg void OnSelchangeListOfAvailableCities();
	afx_msg void OnSelchangeListOfCitiesToVisit();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LAUNCHDLG_H__4BE9F971_0D33_11D2_AFBA_00A0C939614B__INCLUDED_)
